<p-accordion>
  <p-accordionTab
    header="Search"
    collapseIcon="pi pi-fw pi-chevron-down"
    [selected]="false"
  >
    <ng-template pTemplate="header">
      <i class = "pi pi-search"
         style = "font-size: 1.5rem; margin-left: 20px;"
      ></i>
    </ng-template>
    <div class="p-grid center-container">
      <!--      <div style="text-align: center">-->
      <div [class]="'p-col-' + oneCriteriaInputSize">
        <div class="select-box">
          <p-selectButton
            [options]="stateService.getModelToSelect().auctionKindOptions"
            [(ngModel)]="stateService.getModel().selectedAuctionKindOption"
            (onChange)="onYchOptionChange($event)"
            optionLabel="name"
          ></p-selectButton>
        </div>
      </div>
      <div [class]="'p-col-' + oneCriteriaInputSize">
        <div class="select-box">
          <p-selectButton
            [options]="stateService.getModelToSelect().ychTypeOptions"
            [(ngModel)]="stateService.getModel().selectedYchTypeOption"
            optionLabel="name"
          ></p-selectButton>
        </div>
      </div>
      <div [class]="'p-col-' + oneCriteriaInputSize">
        <div class="select-box">
          <p-selectButton
            [options]="stateService.getModelToSelect().ychCharacterTypeOptions"
            [(ngModel)]="stateService.getModel().selectedYchCharacterTypeOption"
            optionLabel="name"
          ></p-selectButton>
        </div>
      </div>

      <div [class]="'p-col-' + oneCriteriaInputSize">
        <div class="select-box">
          <p-inputNumber
            [(ngModel)]="stateService.getModel().pageSize"
            [showButtons]="true"
            buttonLayout="horizontal"
            inputId="horizontal"
            spinnerMode="horizontal"
            [step]="1"
            max="50"
            prefix="Count = "
            decrementButtonClass="p-button-danger"
            incrementButtonClass="p-button-success"
            incrementButtonIcon="pi pi-plus"
            decrementButtonIcon="pi pi-minus">
          </p-inputNumber>
        </div>
      </div>

      <div [class]="'p-col-' + oneCriteriaInputSize" *ngIf="!isViewModeEqualsTo('BASIC')">

        <div class="select-box">
          <p-selectButton
            [options]="stateService.getModelToSelect().stepOptions"
            [(ngModel)]="stateService.getModel().selectedStepOption"
            optionLabel="name"
            (onChange)="onAuctionStepChange($event)"
          ></p-selectButton>
        </div>
      </div>
      <div [class]="'p-col-' + oneCriteriaInputSize" *ngIf="!isViewModeEqualsTo('BASIC')">
        <ng-container *ngIf="!currentModeIsEqualTo('FIND_BY_SPECIFIC_ARTIST')">
          <div class="select-box">
            <p-selectButton
              [options]="stateService.getModelToSelect().ychOptions"
              [(ngModel)]="stateService.getModel().selectedYchOption"
              optionLabel="name"
              (onChange)="this.onAuctionStatusChange($event)"
            ></p-selectButton>
          </div>
        </ng-container>
      </div>
      <div [class]="'p-col-' + oneCriteriaInputSize">
        <div class="select-box" *ngIf="isCurrentStepEqualsTo('BIDDING')">
          <div class="slider-label">Days to end: {{selectedOptionsModel.daysToEndSlider}}</div>
          <div class="slider-box">
            <p-slider [(ngModel)]="selectedOptionsModel.daysToEndSlider" [step]="1" [min]="0" [max]="7"></p-slider>
          </div>
        </div>
      </div>
      <div [class]="'p-col-' + oneCriteriaInputSize">
        <div class="select-box">
          <ng-container *ngIf="showPriceRange()">
            <ng-container *ngIf="selectedOptionsModel.rangeValues[1] !== 100">
              <div class="slider-label">Price: {{selectedOptionsModel.rangeValues[0] + ' - ' + selectedOptionsModel.rangeValues[1]}}</div>
            </ng-container>
            <ng-container *ngIf="selectedOptionsModel.rangeValues[1] === 100">
              <div class="slider-label">Price: {{selectedOptionsModel.rangeValues[0] + ' - ' + selectedOptionsModel.rangeValues[1]}} +</div>
            </ng-container>
            <div class="slider-box">
              <p-slider [(ngModel)]="selectedOptionsModel.rangeValues" [range]="true"></p-slider>
            </div>
          </ng-container>
        </div>
      </div>

      <div class="select-box p-col-12">
        <button pButton pRipple
                type="button"
                [label]="'search'"
                style="margin-top: 10px"
                class="p-button-raised p-button-secondary info-button"
                (click)="searchAuctionCards()"
        ></button>
      </div>
    </div>
    <!--    </div>-->
  </p-accordionTab>
</p-accordion>

<div style="margin-top: 10px">
  <app-auction-list
    [auctionCards]="auctionCards"
    [countOfPages]="countsOfPages"
    [pageSize]="this.selectedOptionsModel.pageSize"
    (loadData)="searchAuctionCards($event)"
  ></app-auction-list>
</div>
